Create data sync
curl --request POST \
--url https://api.example.com/api/core/data_sync/{use_case_id}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"use_case_id": "<string>",
"data_store_id": "<string>",
"structured_data_type": "unstructured",
"credential_id": "<string>",
"oauth_credential_id": "<string>",
"user_id": "<string>",
"location": "<string>",
"cql_query": "<string>"
}
'import requests
url = "https://api.example.com/api/core/data_sync/{use_case_id}/create"
payload = {
"id": "<string>",
"use_case_id": "<string>",
"data_store_id": "<string>",
"structured_data_type": "unstructured",
"credential_id": "<string>",
"oauth_credential_id": "<string>",
"user_id": "<string>",
"location": "<string>",
"cql_query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
use_case_id: '<string>',
data_store_id: '<string>',
structured_data_type: 'unstructured',
credential_id: '<string>',
oauth_credential_id: '<string>',
user_id: '<string>',
location: '<string>',
cql_query: '<string>'
})
};
fetch('https://api.example.com/api/core/data_sync/{use_case_id}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}data-sync
Create data sync
Create a new data synchronization configuration
POST
/
api
/
core
/
data_sync
/
{use_case_id}
/
create
Create data sync
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Body
application/json
- CreateConfluenceSyncRequestSchema
- CreateGoogleDriveSyncRequestSchema
- CreateJiraSyncRequestSchema
- CreateServicenowSyncRequestSchema
- CreateSharepointSyncRequestSchema
- CreateStillSalesAndServiceSyncRequestSchema
Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Represents different types of structured data in Agent Builder datastores.
Available options:
unstructured, jira Response
Successful Response
Was this page helpful?
⌘I

